package com.bonus.sgzb.base.api.domain;

import java.math.BigDecimal;
import java.util.List;

import com.bonus.sgzb.common.core.annotation.Excel;
import com.bonus.sgzb.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 入库记录ma_input_record对象 ma_input_record
 * 
 * @author bonus
 * @date 2023-12-15
 */
@Data
public class MaInputRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "主键id")
    private Long id;

    /** 任务ID */
    @ApiModelProperty(value = "任务ID")
    private Long taskId;

    /** 类型ID */
    @ApiModelProperty(value = "类型ID")
    private Long typeId;

    /** 机具ID */
    @ApiModelProperty(value = "机具ID")
    private Long maId;

    /** 入库类型(1新购入库，2退料入库，3修试后入库) */
    @ApiModelProperty(value = "入库类型(1新购入库，2退料入库，3修试后入库)")
    private String inputType;

    /**
     * 库存数量
     */
    @ApiModelProperty(value = "库存数量")
    private Double num;

    /** 入库数量 */
    @ApiModelProperty(value = "入库数量")
    private BigDecimal inputNum;

    /** 状态（0删除，1正常） */
    @ApiModelProperty(value = "状态 0=删除，1正常")
    private String status;

    /** 数据所属组织 */
    @ApiModelProperty(value = "数据所属组织")
    private Long companyId;

    @ApiModelProperty(value = "验收结论")
    private String checkResult;

    @ApiModelProperty(value = "机具编号")
    private String maCode;

    /**
     * 机具类型，1：数量；0：编码
     */
    @ApiModelProperty(value = "管理类型")
    private String manageType;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTaskId(Long taskId) 
    {
        this.taskId = taskId;
    }

    public Long getTaskId() 
    {
        return taskId;
    }
    public void setTypeId(Long typeId) 
    {
        this.typeId = typeId;
    }

    public Long getTypeId() 
    {
        return typeId;
    }
    public void setMaId(Long maId) 
    {
        this.maId = maId;
    }

    public Long getMaId() 
    {
        return maId;
    }
    public void setInputType(String inputType) 
    {
        this.inputType = inputType;
    }

    public String getInputType() 
    {
        return inputType;
    }

    public Double getNum() {
        return num;
    }

    public void setNum(Double num) {
        this.num = num;
    }

    public void setInputNum(BigDecimal inputNum)
    {
        this.inputNum = inputNum;
    }

    public BigDecimal getInputNum() 
    {
        return inputNum;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }


    public String getCheckResult() {
        return checkResult;
    }

    public void setCheckResult(String checkResult) {
        this.checkResult = checkResult;
    }

    public String getMaCode() {
        return maCode;
    }

    public void setMaCode(String maCode) {
        this.maCode = maCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("taskId", getTaskId())
            .append("typeId", getTypeId())
            .append("maId", getMaId())
            .append("inputType", getInputType())
            .append("inputNum", getInputNum())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("companyId", getCompanyId())
            .toString();
    }
}
